---
chapter: Introduction
title: Overview
support: true
---

# Guides

When getting started with Sinatra or Padrino for the first time, we recommend
that you check out the
[Why Learn Padrino?](/guides/introduction/why-learn-padrino "Why Learn Padrino?")
guide which provides an overview of the rest of our resources. Also be sure to
check out the [Blog Tutorial](/guides/getting-started/blog-tutorial "Blog
Tutorial") for a step-by-step walkthrough of building your first Padrino
project.

Padrino consists of multiple modules which enhance Sinatra in different ways.
The major components are described in detail below:

- [Why Learn Padrino?](/guides/introduction/why-learn-padrino "Why Learn Padrino?")
- [Installation](/guides/getting-started/installation "Installation")
- [Generators](/guides/generators/overview "Generators")
- [Application Helpers](/guides/application-helpers/overview "Application Helpers")
- [Controllers and Routing](/guides/controllers/overview "Controllers and Routing")
- [Development and Terminal Commands](/guides/features/development-commands "Development
  and Terminal Commands")
- [Mounting Sub-applications](/guides/features/mounting-applications "Mounting
  Sub-applications")
- [Delivering Mail](/guides/features/padrino-mailer "Delivering Mail")
- [Admin and Authentication](/guides/features/padrino-admin "Admin and Authentication")
- [Site Caching](/guides/features/padrino-cache "Site Caching")

Note that as a user of Padrino, each of the major components can be used
[standalone](/guides/advanced-usage/standalone-usage-in-sinatra "standalone") in an existing
Sinatra application or used together for a full-stack Padrino project.

